#!/usr/bin/perl
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

# getBuilddate.pl
#
# Print out the build date of the ibmWebhostRelease package
# in seconds past Jan 1, 1970 (the Unix epoch)
my $seconds = `rpm -q --queryformat \"%{BUILDTIME}\" ibmasmRelease`;

#print STDERR "Build time in seconds: $seconds\n";
#print STDERR "Formatted: " . localtime($seconds) . "\n";

print $seconds;
exit(0);

