#!/usr/bin/perl -w
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

# ----------------------------------------------------------------------
# Perl script used to return a list of all of the key databses in 
# /opt/IBMHTTPServer/keys
# functions
# 
# Pierre Carlson 10/21/1999
# ----------------------------------------------------------------------

use ASM::Common;

$dir = "/opt/IBMHTTPServer/keys";
if (!opendir(DIRH, $dir)) {
  trace("Cannot opendir $dir: $!");
  error(MSG_COULD_NOT_OPEN_DIRECTORY, $dir);
  exit(3);
}
$databases = "";
while($file = readdir(DIRH)) {
    $_ = $file;
    if (/\.kdb/) {
	$databases = $file . ":" . $databases;
    }
}
closedir(DIRH);
print $databases;
