#!/usr/bin/perl
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

use ASM::Common;
use strict;
BEGIN { $^W = 1; }
use vars qw/ $auditcmd $CSMAdmin_passwd_file /;
setFacility('syscfg');

if (-f $CSMAdmin_passwd_file) {
  open(IN, "<$CSMAdmin_passwd_file") and do {
    while (<IN>) {
      chomp;
      my ($user,$pass) = split(':');
      print "$user\n";
    }
    close(IN);
  };
}
exit(0);
