#!/usr/bin/perl -U
#
# Licensed Materials - Property of IBM
# 
# 5724-A36
# 
# (C) Copyright IBM Corporation 2000. All Rights Reserved.
# 
# US Government Users Restricted Rights- Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

foreach (`rpm -q -a -i`)
{
    my($leftSide)="";
   
    if(/Name\s+:/){
	print "-------------------------\n";
    }
   
    #-------------------------------------------------------------------------------------------- 
    # desc-1.0
    # Find a : followed by a Character or Space followed by two spaces.
    #   then followed by any nubmer combination of either a space or a word directly before a :
    #   save the above, and any sequential characters after it up to the newline.
    # As a consequence this code sequence finds every left hand side text denoted by text below the "/".
    # is stored in $2.
    # NOTE: symbols //// XXXX **** @@@@ are not actually part of the text.
    #
    #                                           /////////////////////////////////////////////////////////////////////////     
    #Name        : zzzmonitor                   Relocations: (not relocateable)
    #VersionXXXXX: 1.0                               Vendor: (none)
    #Release     : 1                             Build Date: Tue Nov  9 19:30:11 1999
    #Install date: Tue Nov  9 19:30:47 1999      Build Host: espa049.austin.ibm.com
    #Group       : Application/Remote Tools      Source RPM: zzzmonitor-1.0-1.src.rpm
    #Size        : 171295@@@@@@@@@@@@@@@@@@@@@@@@@@@License: All rights reserved for International Business Machines, Inc.
    #Packager    : David Mar <mardb@us.ibm.com>                                          *
    #Summary     : Spec file for core components of csm                                  *
    #Description :                                                                       *
    #Provides System level monitoring features for the CSM allowing one to               *
    #remotely view system status of their IBM e-Business Service Provider Appliance      *
    #remotely.                                                                           *
    #
    if(s/(:.+\s\s)([\s\D]+\:.*$)/$1/){ # desc-1.0
	$leftSide=$2;
   
	#------------------------------------------------------------------
	# remove the spaces in front of the : in desc-1.0 remove the XXXXXX
	s/\s+\:/\:/;                    
	
	#------------------------------------------------------------------
	# remove the extra white space at the end of the left side of the cols.
	s/\s+$//;
	
	chomp();
	print $_."\n";
	print $leftSide."\n";
    } 
    else
    {
	#else there its not a two column display... just print text see desc-1.0 ****.
	#chomp();
	#$rArray[$n]= "$_"; $n=$n+1;
    }
}

